Package com.destroystokyo.paper.event.player

# Class PlayerLaunchProjectileEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
com.destroystokyo.paper.event.player.PlayerLaunchProjectileEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerLaunchProjectileEvent extends PlayerEvent implements Cancellable
Called when a player shoots a projectile.

Notably this event is not called for arrows as the player does not launch them, rather shoots them with the help of a bow or crossbow. A plugin may listen to `EntityShootBowEvent` for these actions instead.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerLaunchProjectileEvent(@NotNull Player shooter, @NotNull ItemStack itemStack, @NotNull Projectile projectile)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull ItemStack`
`getItemStack()`
Get the ItemStack used to fire the projectile
`@NotNull Projectile`
`getProjectile()`
Gets the projectile which will be launched by this event
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setShouldConsume(boolean consumeItem)`
Set whether to consume the ItemStack or not
`boolean`
`shouldConsume()`
Get whether to consume the ItemStack or not

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerLaunchProjectileEvent

public PlayerLaunchProjectileEvent(@NotNull @NotNull Player shooter, @NotNull @NotNull ItemStack itemStack, @NotNull @NotNull Projectile projectile)

## Method Details

### getProjectile

@NotNull public @NotNull Projectile getProjectile()
Gets the projectile which will be launched by this event

Returns:
  the launched projectile

### getItemStack

@NotNull public @NotNull ItemStack getItemStack()
Get the ItemStack used to fire the projectile

Returns:
  The ItemStack used

### shouldConsume

public boolean shouldConsume()
Get whether to consume the ItemStack or not

Returns:
  True to consume

### setShouldConsume

public void setShouldConsume(boolean consumeItem)
Set whether to consume the ItemStack or not

Parameters:
  `consumeItem` - True to consume

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()